Subject: Re: [Ltru] Macrolanguage, Extlang. The Sami language situatation as example

From: "Doug Ewell" <[email-masked]>
Date: Tue, 27 May 2008 19:52:40 -0600

Debbie Garside <debbie at ictmarketing dot co dot uk> wrote:

> Where we need to draw the line is when the discussion comes into the 
> realm of re-designing ISO 639 or making language classification 
> decisions.  This is absolutely beyond the scope of this WG and should 
> be directed to ISO TC37/SC2/WG1 or the ISO 639 JAC.  As this RFC is 
> way over the timescale originally envisaged for completion it is in 
> everyone's interest to try to resolve the issues that are within scope 
> rather than focussing on issues that cannot be resolved other than by 
> external parties.  But this is just my humble opinion in the light of 
> trying to get the important issues, such as extlang/no extlang 
> resolved, the ultimate call is with the co-chairs.

Also my opinion.  Specifically, remaking ISO 639-3 wouldn't be in our 
scope even if we weren't more than 15 months behind schedule (*) but 
given that we are, it is especially important to focus on getting the 
chartered work done.

(*) I was wrong earlier when I implied the we were over two years 
behind.  I still think the original charter had us finishing our work in 
early 2006, but actual publication was always contingent on the rollout 
of ISO 639-3.  Their first "official" downloadable files came in 
February 2007.  So we're "only" 15.n months behind, except that somehow 
I don't feel like IETF LC is right around the corner.

--
Doug Ewell  *  Arvada, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Don Osborn" <[email-masked]>
Date: Wed, 28 May 2008 17:00:01 -0400

In a strict sense I think Debbie and Doug are right. However in the context of our ultimate goal of making the technology work for language(s) we're talking about one element in a system - and there needs to be some way(s) to assure feedback among parts of that larger system. Put another way, there seems to be a risk of important information falling in the gaps if related efforts focus uniquely on their respective tasks and there is no attention to connections.

I had a not dissimilar discussion regarding the locales process (in the PanAfrican Localisation Network project's subproject on locales that I mentioned previously). Some colleagues expressed the thought that they didn't want to get tied up with ISO 639 issues. However dealing with locales, which like tagging depend on ISO 639, provides an excellent opportunity to get feedback on the coding system (with potential benefits in turn for more work on locales). Ultimately we agreed that there will be attention to this issue.

For both locales and tagging, I agree there are more focused goals and deliverables that are essential, and I wouldn’t want to encumber either. However, given our ultimate purpose of facilitating the adaptation of the technology to the realities of language(s), shouldn't there be a way of assuring feedback and communication among the various efforts?

Don

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Doug Ewell
> Sent: Tuesday, May 27, 2008 9:53 PM
> To: LTRU Working Group
> Subject: Re: [Ltru] Macrolanguage, Extlang. The Sami language
> situatation as example
>

---

From: "Debbie Garside" <[email-masked]>
Date: Wed, 28 May 2008 23:10:16 +0100

Hi Don

On the question of adaption of technologies in relation to language tagging
I believe this is possibly the right forum depending on how much the RFC can
assist - although certainly not the only one.  On the question of feedback
on particular tags and whether there is a requirement for new subtags
IETF-languages is the correct forum - generally after the ISO 639 process
has been pursued and failed.

That said, very often good discussion is (rightly) stopped on both LTRU and
IETF-Languages as being out of scope or off topic. So, I do see what you are
trying to say and I would agree that, perhaps, there is a need for another
forum that can communicate feedback on the various efforts.    Not sure who
would or should have 'ownership' of that forum.  I think it would prove very
interesting.  I think it could also prove useful for standardization efforts
when applying for new, or changes to, ISO 639 codes if feedback/actual use
case scenarios from a user community is presented in support of such an
application.

If you want to establish such a forum I would certainly join.

Best wishes

Debbie
PS We/you could do it as part of our remit within WLDC

> From: Don Osborn [mailto:[email-masked]]
> Sent: 28 May 2008 22:00
> To: 'Doug Ewell'; 'LTRU Working Group'; [email-masked]
> Cc: 'A12n tech support'
> Subject: RE: [Ltru] Macrolanguage, Extlang. The Sami language
> situatation as example
>
> In a strict sense I think Debbie and Doug are right. However
> in the context of our ultimate goal of making the technology
> work for language(s) we're talking about one element in a
> system - and there needs to be some way(s) to assure feedback
> among parts of that larger system. Put another way, there
> seems to be a risk of important information falling in the
> gaps if related efforts focus uniquely on their respective
> tasks and there is no attention to connections.
>
> I had a not dissimilar discussion regarding the locales
> process (in the PanAfrican Localisation Network project's
> subproject on locales that I mentioned previously). Some
> colleagues expressed the thought that they didn't want to get
> tied up with ISO 639 issues. However dealing with locales,
> which like tagging depend on ISO 639, provides an excellent
> opportunity to get feedback on the coding system (with
> potential benefits in turn for more work on locales).
> Ultimately we agreed that there will be attention to this issue.
>
> For both locales and tagging, I agree there are more focused
> goals and deliverables that are essential, and I wouldn't
> want to encumber either. However, given our ultimate purpose
> of facilitating the adaptation of the technology to the
> realities of language(s), shouldn't there be a way of
> assuring feedback and communication among the various efforts?
>
> Don
>
> > From: [email-masked] [mailto:[email-masked]]
> On Behalf
> > Of Doug Ewell
> > > decisions.  This is absolutely beyond the scope of this WG and
> > > should be directed to ISO TC37/SC2/WG1 or the ISO 639
> JAC.  As this
> > > RFC is way over the timescale originally envisaged for
> completion it
> > > is in everyone's interest to try to resolve the issues that are
> > > within
> > scope
> > > rather than focussing on issues that cannot be resolved
> other than
> > > by external parties.  But this is just my humble opinion in the
> > > light of trying to get the important issues, such as extlang/no
> > > extlang resolved, the ultimate call is with the co-chairs.
> >
> > behind.  I still think the original charter had us
> finishing our work
> > in early 2006, but actual publication was always contingent on the
> > rollout of ISO 639-3.  Their first "official" downloadable
> files came
> > in February 2007.  So we're "only" 15.n months behind, except that
> > somehow I don't feel like IETF LC is right around the corner.
> >
> > --
> > http://www.alvestrand.no/mailman/listinfo/ietf-languages  ^
> >

---

From: "Doug Ewell" <[email-masked]>
Date: Wed, 28 May 2008 18:17:33 -0600

Don Osborn <dzo at bisharat dot net> wrote:

> In a strict sense I think Debbie and Doug are right. However in the 
> context of our ultimate goal of making the technology work for 
> language(s) we're talking about one element in a system - and there 
> needs to be some way(s) to assure feedback among parts of that larger 
> system. Put another way, there seems to be a risk of important 
> information falling in the gaps if related efforts focus uniquely on 
> their respective tasks and there is no attention to connections.

I don't have any problem with the intent here.  But we need to make sure 
that the immediate need to resolve our existing internal disputes and 
get our deliverables delivered doesn't get sidetracked by the 
longer-term goal of providing constructive feedback to ISO.

This is especially true since some people have been writing "why don't 
we make XXX a macrolanguage" or "why don't we define macrolanguages 
differently," so it is clear that not everyone understands where the 
boundary is between our work and ISO's.  While we can provide 
constructive feedback, we should not allow ourselves or others to 
confuse this with "running" ISO or taking over their work items.

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 29 May 2008 04:29:01 +0200

Doug Ewell 2008-05-29 02.17:

> While we can provide constructive feedback, we should not allow
> ourselves or others to confuse this with "running" ISO or 
> taking over their work items.

Seriously, let's allow others to care for their own confusion. ;-)
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Wed, 28 May 2008 21:45:01 -0600

Leif Halvard Silli <lhs at malform dot no> wrote:

>> ourselves or others to confuse this with "running" ISO or taking over 
>> their work items.
>

The problem is worse than you might think.  We've been accused in the 
past of trying to overrun ISO.  It's important (at least to me) that we 
don't set ourselves up for such false accusations.

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 29 May 2008 07:21:44 +0200

> don't set ourselves up for such false accusations.

In that regard: Do you think that it is possible that extlang in 
itself could be misperceived by ISO? Could the ISO think that LTRU 
*wants* them to define Macrolanguaes, which then would become 
extlang tagged - or something like that? Or, could ISO begin 
wanting to interfer with this group, or perhaps refrain from 
defining macrolanguages, picking other methods for grouping 
languages, because they don't like the extlang tagging that it 
leads to?
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Thu, 29 May 2008 00:28:48 -0600

Leif Halvard Silli <lhs at malform dot no> wrote:

> *wants* them to define Macrolanguaes, which then would become extlang 
> tagged - or something like that? Or, could ISO begin wanting to 
> interfer with this group, or perhaps refrain from defining 
> macrolanguages, picking other methods for grouping languages, because 
> they don't like the extlang tagging that it leads to?

I think ISO 639-3/RA assigns code elements for 7700 languages in the 
best way they know how, and doesn't make a single decision -- not one --  
on the basis of what LTRU will or won't do.

I'm one of apparently few people who truly believe the ISO 639-3/RA 
definition of "macrolanguage," and don't think of it as some kind of 
cover story.

---

From: Peter Constable <[email-masked]>
Date: Thu, 29 May 2008 08:40:54 -0700

> Leif Halvard Silli

> languages, because they don't like the extlang tagging that it

OK, I guess we're even now on the second-guessing business. (My apologies for coming across that way.)

The ISO 639 JAC has never once discussed extlang. The initial innovation of macrolanguages in drafts of 639-3 was influenced by RFC 3066 and existing registered language tags, as I have explained in detail enough times now, and future decisions regarding macrolanguages made by the ISO 639 JAC or TCs 37 or 46 *should* be taking into account any potential impact on BCP 47 (which currently is none, and depending on the final form of 4646bis may remain none). Neither the ISO 639 JAC or TCs 36 or 46 has every discussed the LTRU WG that I am aware of.

Peter

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 29 May 2008 08:46:39 -0700

> definition of "macrolanguage," and don't think of it as some kind of

Since we have the direct testimony of the folks who conceived of macrolanguage, I don't see any reason why anyone would believe otherwise. What we have been debating is whether the Macrolanguage concept is of use in the structure of "our" language tags, and, if so, how (rather than the reverse). One of the problems macrolanguage brings us is that it is *not* just a "cover story": ISO 639-3 made an honest effort to catalog all macrolanguages, not just the ones that are useful to us. As a result, we have Norwegian, Serbo-Croatian, and some others that do not play well with extlangs (and we have other languages, such as 'zh', that complicate life without extlang).

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> Sent: Wednesday, May 28, 2008 11:29 PM
> To: LTRU Working Group
> Subject: Re: [Ltru] Macrolanguage, Extlang. The Sami language situation
> as example
>

---

From: John Cowan <[email-masked]>
Date: Thu, 29 May 2008 13:35:51 -0400

Phillips, Addison scripsit:

> Since we have the direct testimony of the folks who conceived of
> macrolanguage, I don't see any reason why anyone would believe
> otherwise. 

The very essence of a cover story is that it's direct testimony.
But I do not at all believe that "the wise Havard and the noble
Peter" are deceiving us about their motives.

> One of the problems macrolanguage brings
> us is that it is *not* just a "cover story": ISO 639-3 made an honest
> effort to catalog all macrolanguages, not just the ones that are useful
> to us. 

To be precise, they cataloged the ones that had 639-2 tags already.  There
was no tag for Romanian/Moldovan, and they did not create one.

-- 
John Cowan   <[email-masked]>   http://www.ccil.org/~cowan
One time I called in to the central system and started working on a big
thick 'sed' and 'awk' heavy duty data bashing script.  One of the geologists
came by, looked over my shoulder and said 'Oh, that happens to me too.
Try hanging up and phoning in again.'  --Beverly Erlebacher
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 29 May 2008 21:11:22 +0200

Phillips, Addison 2008-05-29 17.46:

>> I'm one of apparently few people who truly believe the ISO
>> 639-3/RA definition of "macrolanguage," and don't think of it
>> as some kind of cover story.
> 
> Since we have the direct testimony of the folks who conceived
> of macrolanguage, I don't see any reason why anyone would
> believe otherwise. What we have been debating is whether the
> Macrolanguage concept is of use in the structure of "our"
> language tags, and, if so, how (rather than the reverse).

It does anyhow seem as if those who support extlang consider the 
Macrolanguage information generally relevant, while the other 
group is more sceptical about how relevant that information is.

> One of the problems macrolanguage brings us is that it is *not*
> just a "cover story": ISO 639-3 made an honest effort to 
> catalog all macrolanguages, not just the ones that are useful 
> to us. As a result, we have Norwegian, Serbo-Croatian, and some
>  others that do not play well with extlangs (and we have other 
> languages, such as 'zh', that complicate life without extlang).

Regarding "useful": The entire macrolanguage catalog is useful, 
not only that part which encompasses languages which can be tagged 
with extlang. The RFC must give advice for both groups of 
macrolanguages.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 29 May 2008 21:14:38 +0200

> language tags, and, if so, how (rather than the reverse).

Those in favour of extlang seem to consider the Macrolanguage 
information generally relevant, while the other group is more 
sceptical about how relevant that information is.

---

From: Peter Constable <[email-masked]>
Date: Thu, 29 May 2008 13:18:14 -0700

> group is more sceptical about how relevant that information is.

Well, what I find striking is that the *only* cases involving macrolanguages that are getting discussed are:

- Chinese

- Norwegian: this has also been mentioned by you, but since "no" has been deprecated in ISO 639 for many years now, and introducing "no-nb"/"no-nn" or "no-nob"/"no-nno" would certainly but be compatible with existing usage.

- Arabic: this has been cited in some examples, but I don't hear anyone sounding eager to use extlang subtags with ar.

- Don Osborne has several times over the past couple of years mentioned interest in the macrolanguage concept wrt African languages because of (IIUC) trends toward evolution of varieties used for wider communication. But it's not clear to me that macrolanguage is the appropriate concept there, as opposed to a distinct, individual language, and even if these are considered macrolanguages I don't see requests to have extlang for these cases: if anything, the emerging variety used in wider communication makes the local varieties *less* relevant for tagging purposes, not more.

So, there is really *only* one case that people seem to care about (at least, in the near term -- who knows what may happen with Bikol or Zapotec in the future) and that would really be impacted by our current decision, and that's Chinese.

(As much as people don't want to cherry pick arbitrarily, it seems to me that there is an elephant in this room that we're trying to say is no different from the rest of the furniture.)

Peter

---

From: John Cowan <[email-masked]>
Date: Thu, 29 May 2008 16:31:21 -0400

Peter Constable scripsit:

> Well, what I find striking is that the *only* cases involving
> macrolanguages that are getting discussed are:

[snipped Chinese, Norwegian, Arabic, African languages]

You and I, at least, have also discussed the various macrolanguages in
Figure 8, the "Big Blue and the N dwarfs" cases.

The list has also talked of "sgn" extensively in the past: although it
is not a 639-3 macrolanguage, the plan was to treat it as one.

> So, there is really *only* one case that people seem to care about
> (at least, in the near term -- who knows what may happen with Bikol
> or Zapotec in the future) and that would really be impacted by our
> current decision, and that's Chinese.

Certainly, deprecating "zh-*" and "sgn-*" would have the greatest impact
on backward compatibility, although in both cases the exact details
of the whole tag would differ:  from "zh-xiang" to "zh-hsn", and from
"sgn-US" to the structurally different "sgn-ase".

> (As much as people don't want to cherry pick arbitrarily, it seems to
> me that there is an elephant in this room that we're trying to say is
> no different from the rest of the furniture.)

It's not, unless you are in the kitchen or the bathroom.  They are all
stator machines whose main function is to resist gravity.  (See the
Heinlein story "Waldo, Inc.")

-- 
John Cowan  [email-masked]    http://ccil.org/~cowan
Big as a house, much bigger than a house, it looked to [Sam], a grey-clad
moving hill.  Fear and wonder, maybe, enlarged him in the hobbit's eyes,
but the Mumak of Harad was indeed a beast of vast bulk, and the like of him
does not walk now in Middle-earth; his kin that live still in latter days are
but memories of his girth and his majesty.  --"Of Herbs and Stewed Rabbit"
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Leif Halvard Silli <[email-masked]>
Date: Thu, 29 May 2008 23:21:10 +0200

Peter Constable 2008-05-29 22.18:

> "no" has been deprecated in ISO 639 for many years now,

This was news to me. Perhaps you are wrong on this? I don't find 
it logical.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Peter Constable <[email-masked]>
Date: Thu, 29 May 2008 16:05:51 -0700

> From: Leif Halvard Silli [mailto:[email-masked]]

> This was news to me. Perhaps you are wrong on this? I don't find

My bad: this is yet another case in which I've assumed past practice in one part of 639 to imply similar practice in other parts of 639. Unlike "sh", which was deprecated when "hr" and "sr" were added, "no" was not deprecated when "nb" and "nn" were added.

Even so, the point I was making remains valid: "no-nb" or "no-nob" or "no-nn" or "no-nno" would not be compatible with existing usage.

Peter

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 29 May 2008 16:45:06 -0700

>
> Even so, the point I was making remains valid: "no-nb" or "no-nob" or
> "no-nn" or "no-nno" would not be compatible with existing usage.
>

The tags "no-nb" and "no-nn" (in which 'nb' and 'nn' represent languages and not regions) cannot be made legal without breaking many things. Like compatibility with ISO 3166-1, for example. This has *always* been true, even in RFC 1766 or RFC 3066.

The tags "no-nno" and "no-nob" could be made legal if we were to restore extlang. However, at no point has this been contemplated because 'nb' and 'nn' are already valid primary language subtags and we have a pretty firm policy of not making synonyms. This would introduce Yet Another Way to Tag Norwegian, which is kind of a mess, given that:

The tags "no-bok" and "no-nyn" are grandfathered (and deprecated, but still valid), since they were registered under RFC 1766 and later ISO 639-1 created 'nb' and 'nn', replacing them.

Macrolanguage information is "useful" here, in that it allows one to determine that 'nb' and 'nn' are each related to 'no', as many systems continued to use 'no', blithely ignoring the Bokmal/Nynorsk divide.

Addison

---

From: Leif Halvard Silli <[email-masked]>
Date: Fri, 30 May 2008 02:04:42 +0200

Phillips, Addison 2008-05-30 01.45:

>> Even so, the point I was making remains valid: "no-nb" or
>> "no-nob" or "no-nn" or "no-nno" would not be compatible with
>> existing usage.

> The tags "no-nb" and "no-nn" 

Please note that I don't advocate this case anymore.
-- 
leif halvard silli
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Thu, 29 May 2008 18:39:50 -0600

> macrolanguage, I don't see any reason why anyone would believe 

It's been claimed often on this list that macrolanguages are nothing but 
a standardization kludge or "shim" between ISO 639-2 and 639-3.  Here is 
a direct quote from this list, from less than two weeks ago:

"According to everything I've heard, the macrolanguage was devised as a 
construction which is an attempt to rationalize inconsistent approach to 
languages used by previous versions of ISO 639. It does not represent 
any particularly reality beyond that."

That is completely different from the ISO 639-3/RA definition, the one 
Peter has quoted and paraphrased numerous times, the one I believe:

"In various parts of the world, there are clusters of closely-related 
language varieties that... can be considered distinct individual 
languages, yet in certain usage contexts a single language identity for 
all is needed....  Where such situations exist, an identifier for the 
single, common language identity is considered in this part of ISO 639 
to be a macrolanguage identifier."

The first quote says macrolanguages do not represent reality; the second 
(ISO) quote defines them in terms of reality.

The ISO definition is a "cover story" if it is simply an attempt at a 
legitimate-sounding explanation for what is really, under the surface, a 
kludge.  I think if the RA really felt they were a kludge, they would 
have come out and said so (perhaps using a more dignified term than 
"kludge").  But the reality is there are plenty of situations, in all 
walks of life, where people think in terms of "the Chinese language" or 
"the Arabic language" and do not (need to) distinguish between the 
individual languages.

Note, once again, that this is not an argument for or against extlang.

---

From: Peter Constable <[email-masked]>
Date: Thu, 29 May 2008 18:07:09 -0700

> "kludge").

Some of the particular cases that ended up as macrolanguages in ISO 639-3 may be kludgy, having been influenced by some ad hoc prior practices. The notion of macrolanguage, though, is not a kludge: it reflects realities. Those may be realities of practical usage in ICTs rather than realities of common linguistic expression, but they are realities all the same.

> Note, once again, that this is not an argument for or against extlang.

Indeed.

Peter

---

From: Martin Duerst <[email-masked]>
Date: Fri, 30 May 2008 18:05:55 +0900

[technical hat on]

At 05:18 08/05/30, Peter Constable wrote:
>- Norwegian: this has also been mentioned by you, but since "no" has been 
>deprecated in ISO 639 for many years now, and introducing "no-nb"/"no-nn" 
>or "no-nob"/"no-nno" would certainly but be compatible with existing usage.

skipped.

>- Arabic: this has been cited in some examples, but I don't hear anyone 
>sounding eager to use extlang subtags with ar.

One reason we don't see this discussed that often may be that because
Arabic is customarily only written with one script, and because that
script is phonetic, there are less arguments to be made against using
extlang. To be specific:
- There is no problem, as there may be with Chinese, that the script
  is removed first when falling back from the right, and only then
  is the encompassed language removed, and this in some cases may
  create the wrong fallback sequences (in others, as for a reader
  who is resonably fluent in both script varieties but simply prefers
  one, the fallbacks may be just the right way).
- Because the script is phonetic, anybody who reads standard Arabic
  pretty much should be able to also listen to standard Arabic
  (missing vowel signs complicate the situation a bit). This is
  quite different from the Chinese situation, where being able
  to read Mandarin does in no way imply that you are able to
  also understand spoken Mandarin. Thus I think that the need
  for fallbacks similar to "Cantonese, then French, then many
  others, and maybe then or maybe never Mandarin" are way, way
  rarer and less important for Arabic.

So based on the above analysis, when it comes to ar- for Arabic,
count me in.

>- Don Osborne has several times over the past couple of years mentioned 
>interest in the macrolanguage concept wrt African languages because of 
>(IIUC) trends toward evolution of varieties used for wider communication. 
>But it's not clear to me that macrolanguage is the appropriate concept 
>there, as opposed to a distinct, individual language, and even if these are 
>considered macrolanguages I don't see requests to have extlang for these 
>cases: if anything, the emerging variety used in wider communication makes 
>the local varieties *less* relevant for tagging purposes, not more.

Well, yes, the emerging variety may make the local varieties less
important, but are we not already at exactly this situation for
Chinese and Arabic? For me, the concern here is much more that
these are currently very fluid situations, and whether extlangs
or not, we are not really good at dealing with fluid situations.

>So, there is really *only* one case that people seem to care about (at 
>least, in the near term -- who knows what may happen with Bikol or Zapotec 
>in the future) and that would really be impacted by our current decision, 
>and that's Chinese.
>
>(As much as people don't want to cherry pick arbitrarily, it seems to me 
>that there is an elephant in this room that we're trying to say is no 
>different from the rest of the furniture.)

For me, if it's zh- and ar-, at least. But I think the other macrolanguages
with two-letter codes also need careful consideration. Most importantly,
in situations similar to Arabic and Chinese (widely used common written
variety, wide variation when spoken), the considerations I gave above
for Arabic will apply (including the fact that in most cases, the
caveat about missing vowel notation not applying).
An example may be 'ms' (Malay). However, the documentation in the Ethnologue
for all the three-letter codes is highly confusing, with very recent changes.
But that may be an additional argument for keeping 'ms' at the center.

Regards,    Martin.

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]

---

From: "Andrew Cunningham" <[email-masked]>
Date: Fri, 30 May 2008 22:05:13 +1000

Hi all,

> So based on the above analysis, when it comes to ar- for Arabic,

except there are cases when this will get messy.

the best example of problems with Arabic as a macrolanguage is pga
Sudanese Creole Arabic (Juba Arabic), a creole assigned to the Arabic
macrolanguage. One key difference between Juba Arabic and all other
languages belonging to the Arabic macrolanguage (other than the fact
it is a creole) is the question of default writing script. Most
publications in Juba Arabic are written in the Latin script rather
than the Arabic script.

> or not, we are not really good at dealing with fluid situations.

fluidity is a problem

we are already noticing it with Dinka documents, where traditionally
documents were written for a specific dialect and one fo the five
ISO-639-3 language codes would be most appropriate, but somre of the
documents being produced for educational purposes by Dinka expats
would be more suitably identified with the ISO-639-2 code since the
documents aren't written in a specific dialect, but rather in an
emerging Dinka influenced by each of the dialects.

-- 
Andrew Cunningham
Vicnet Research and Development Coordinator
State Library of Victoria
Australia

[email-masked]
[email-masked]

---

From: "Mark Davis" <[email-masked]>
Date: Fri, 30 May 2008 09:30:53 -0700

I may have been the quotee; let me elaborate slightly.
If 'zh' hadn't existed, or had been clearly specified to be only Mandarin,
then I doubt that 639-3 would have introduced a new code as a macrolanguage
for that and other codes. I was not trying to say that macrolanguage made no
sense, or that it wasn't well defined, but that I think it was defined so as
to deal with a particular issue in coding.

After all, many people consider "gsw" to be a "kind" of German, but there is
no macrolanguage that encompasses both "de" and "gsw", and the same can be
said for many, many languages. So I don't think there was an attempt to
search out *all* the cases where sets of language codes were related and
considered a single entity for some purposes, and make macrolanguage codes
for all of them; more to deal with those cases where a code had existed in
639 or some other standard.

Peter can correct me if I have this wrong.

Mark

-- 
Mark

---

From: Peter Constable <[email-masked]>
Date: Fri, 30 May 2008 09:48:46 -0700

Indeed, I did not set out to come up with groupings that I thought might be useful where none existed before. If anything, the initial plan was the opposite. The macrolanguage notion arose in 639 entirely due to realities of usage of ISO 639-1/-2.

Peter

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Friday, May 30, 2008 9:31 AM
To: Doug Ewell
Cc: LTRU Working Group
Subject: Re: [Ltru] Macrolanguage, Extlang. The Sami language situation as example

If 'zh' hadn't existed, or had been clearly specified to be only Mandarin, then I doubt that 639-3 would have introduced a new code as a macrolanguage for that and other codes. I was not trying to say that macrolanguage made no sense, or that it wasn't well defined, but that I think it was defined so as to deal with a particular issue in coding.

After all, many people consider "gsw" to be a "kind" of German, but there is no macrolanguage that encompasses both "de" and "gsw", and the same can be said for many, many languages. So I don't think there was an attempt to search out *all* the cases where sets of language codes were related and considered a single entity for some purposes, and make macrolanguage codes for all of them; more to deal with those cases where a code had existed in 639 or some other standard.

Mark

On Thu, May 29, 2008 at 5:39 PM, Doug Ewell <[email-masked]<mailto:[email-masked]>> wrote:

_______________________________________________
Ltru mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ltru